Package org.apache.velocity.script

# Class VelocityScriptEngine.SingleResourceReader

java.lang.Object
org.apache.velocity.runtime.resource.loader.ResourceLoader
org.apache.velocity.runtime.resource.loader.StringResourceLoader
org.apache.velocity.script.VelocityScriptEngine.SingleResourceReader

Enclosing class:
  `VelocityScriptEngine`

protected static class VelocityScriptEngine.SingleResourceReader extends StringResourceLoader

## Field Summary

### Fields inherited from class org.apache.velocity.runtime.resource.loader.StringResourceLoader

`repository, REPOSITORY_CLASS, REPOSITORY_CLASS_DEFAULT, REPOSITORY_ENCODING, REPOSITORY_NAME, REPOSITORY_NAME_DEFAULT, REPOSITORY_STATIC, REPOSITORY_STATIC_DEFAULT, STATIC_REPOSITORIES`

### Fields inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader

`className, isCachingOn, log, modificationCheckInterval, rsvc`

## Constructor Summary

Constructors
Constructor
Description
`SingleResourceReader(Reader r)`

## Method Summary

Modifier and Type
Method
Description
`Reader`
`getResourceReader(String source, String encoding)`

### Methods inherited from class org.apache.velocity.runtime.resource.loader.StringResourceLoader

`clearRepositories, createRepository, getLastModified, getRepository, getRepository, init, isSourceModified, removeRepository, resourceExists, setRepository`

### Methods inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader

`buildReader, commonInit, getClassName, getModificationCheckInterval, isCachingOn, setCachingOn, setModificationCheckInterval`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SingleResourceReader

public SingleResourceReader(Reader r)

## Method Details

### getResourceReader

public Reader getResourceReader(String source, String encoding) throws ResourceNotFoundException

Overrides:
  `getResourceReader` in class `StringResourceLoader`
Throws:
  `ResourceNotFoundException`